=== debian/control ===
Source: speech-dispatcher-contrib
Section: contrib/sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders:
 Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends:
 debhelper-compat (= 12), dh-exec, dh-python,
 automake, libtool,
 python3:any, python3-xdg,
 flite1-dev (>= 1.4), flite,
 libespeak-dev, libespeak-ng-dev,
# libdumbtts-dev,
 libttspico-dev,
 libao-dev,
 libasound2-dev [linux-any],
 libaudio-dev,
 libpulse-dev,
 libxau-dev,
 libsndfile1-dev,
 libdotconf-dev (>= 1.3),
 libglib2.0-dev (>= 2.36),
 libltdl-dev,
 systemd [linux-any],
 gettext, texinfo, help2man
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
Homepage: http://devel.freebsoft.org/speechd
XS-Autobuild: yes
Standards-Version: 4.6.0

#start-contrib
Package: speech-dispatcher-pico
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 speech-dispatcher (>= ${source:Upstream-Version}),
 speech-dispatcher (<< ${source:Upstream-Version}.0~)
Breaks:
 speech-dispatcher-contrib (<< 0.8.5-5),
 speech-dispatcher (<< 0.10.2-1),
Replaces:
 speech-dispatcher-contrib (<< 0.8.5-5),
 speech-dispatcher (<< 0.10.2-1),
Description: Speech Dispatcher: Pico output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the pico speech synthesizer.

Package: speech-dispatcher-baratinoo
Architecture: any
Multi-Arch: foreign
Section: contrib/sound
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 speech-dispatcher (>= ${source:Upstream-Version}),
 speech-dispatcher (<< ${source:Upstream-Version}.0~)
Breaks: speech-dispatcher (<< 0.10.2-1)
Replaces: speech-dispatcher (<< 0.10.2-1)
Recommends:
 voxygen
Description: Speech Dispatcher: Baratinoo (VoxyGen) output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the Baratinoo speech synthesizer,
 also called VoxyGen, which needs to be installed separately.

Package: speech-dispatcher-kali
Architecture: any
Multi-Arch: foreign
Section: contrib/sound
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 speech-dispatcher (>= ${source:Upstream-Version}),
 speech-dispatcher (<< ${source:Upstream-Version}.0~)
Breaks: speech-dispatcher (<< 0.10.2-1)
Replaces: speech-dispatcher (<< 0.10.2-1)
Recommends:
 kali-tts
Description: Speech Dispatcher: Kali output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the Kali speech synthesizer,
 which needs to be installed separately.

Package: speech-dispatcher-ibmtts
Architecture: i386
Multi-Arch: foreign
Section: contrib/sound
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 speech-dispatcher-audio-plugins (>= ${source:Upstream-Version}),
 speech-dispatcher-audio-plugins (<< ${source:Upstream-Version}.0~),
 speech-dispatcher (>= ${source:Upstream-Version}),
 speech-dispatcher (<< ${source:Upstream-Version}.0~)
Breaks: speech-dispatcher (<< 0.10.1-3)
Replaces: speech-dispatcher (<< 0.10.1-3)
Description: Speech Dispatcher: IBM TTS output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the IBM TTS (aka Eloquence),
 which needs to be installed separately.

Package: speech-dispatcher-voxin
Architecture: amd64 i386
Multi-Arch: foreign
Section: contrib/sound
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 speech-dispatcher-audio-plugins (>= ${source:Upstream-Version}),
 speech-dispatcher-audio-plugins (<< ${source:Upstream-Version}.0~),
 speech-dispatcher (>= ${source:Upstream-Version}),
 speech-dispatcher (<< ${source:Upstream-Version}.0~)
Breaks: speech-dispatcher (<< 0.10.1-3)
Replaces: speech-dispatcher (<< 0.10.1-3)
Description: Speech Dispatcher: Voxin output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the Voxin speech synthesizer,
 which supports IBM TTS (aka Eloquence) and Vocalizer Embedded, which needs to
 be installed separately.
#end-contrib

#Package: speech-dispatcher
#Architecture: any
#Multi-Arch: foreign
#Depends:
# adduser,
# lsb-base (>= 3.0-10),
# speech-dispatcher-audio-plugins (= ${binary:Version}),
# init-system-helpers (>= 1.51),
# ${misc:Depends},
# ${shlibs:Depends}
#Recommends:
# speech-dispatcher-espeak-ng,
# sound-icons
#Suggests:
# libttspico-utils,
# espeak,
# mbrola,
# speech-dispatcher-doc-cs,
# speech-dispatcher-festival,
# speech-dispatcher-cicero,
# speech-dispatcher-flite,
# speech-dispatcher-espeak
#Breaks:
# libspeechd2 (<< 0.9~),
# python-speechd (<< 0.9~),
# python3-speechd (<< 0.9~),
# cl-speech-dispatcher (<< 0.9~),
# speech-dispatcher-kali (<< 0.10.2-1~),
# speech-dispatcher-ibmtts (<< 0.10.2-1~),
# speech-dispatcher-baratinoo (<< 0.10.2-1~),
#Description: Common interface to speech synthesizers
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains Speech Dispatcher itself.
#
#Package: libspeechd2
#Architecture: any
#Multi-Arch: same
#Section: libs
#Depends:
# ${misc:Depends},
# ${shlibs:Depends}
#Pre-Depends:
# ${misc:Pre-Depends}
#Description: Speech Dispatcher: Shared libraries
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains a shared library needed for C programs linked with it.
#
#Package: libspeechd-dev
#Architecture: any
#Multi-Arch: same
#Section: libdevel
#Depends:
# libspeechd2 (= ${binary:Version}), libglib2.0-dev,
# ${misc:Depends}
#Suggests:
# speech-dispatcher
#Description: Speech Dispatcher: Development libraries and header files
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains static library, and C headers needed for programs
# linked with the shared or static library.
#
#Package: cl-speech-dispatcher
#Architecture: all
#Multi-Arch: foreign
#Section: lisp
#Depends:
# cl-regex,
# ${misc:Depends}
#Description: Common Lisp interface to Speech Dispatcher
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains a Common Lisp library for communication with Speech
# Dispatcher.
#
#Package: python3-speechd
#Architecture: all
#Multi-Arch: foreign
#Section: python
#Breaks:
# python-speechd
#Replaces:
# python-speechd
#Depends:
# python3-xdg,
# ${misc:Depends},
# ${python3:Depends}
#Description: Python interface to Speech Dispatcher
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains a Python library for communication with Speech
# Dispatcher.
#
#Package: speech-dispatcher-festival
#Architecture: any
#Multi-Arch: foreign
#Depends:
# festival,
# festival-freebsoft-utils,
# speech-dispatcher,
# ${misc:Depends},
# ${shlibs:Depends}
#Recommends:
# sound-icons
#Description: Festival support for Speech Dispatcher
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
