## speech-dispatcher-contrib 0.11.4

=== debian/changelog ===
speech-dispatcher-contrib (0.11.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.
    - Drop libdumbtts-dev build-dep.
    - Drop speech-dispatcher-ivona package.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Nov 2022 21:08:43 +0100

speech-dispatcher-contrib (0.11.4-3) unstable; urgency=medium

  * control: Add missing breaks+replaces between speech-dispatcher-ivona and
    speech-dispatcher, missed when moving ivona.conf from the latter to the
    former (Closes: Bug#1034897)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Apr 2023 01:08:20 +0200

speech-dispatcher-contrib (0.11.4-2) unstable; urgency=medium

  * patches/buffer_size: Reduce espeak buffer size to avoid synth artifacts.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Nov 2022 14:04:48 +0100

speech-dispatcher-contrib (0.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2022 23:06:55 +0100

speech-dispatcher-contrib (0.11.3-2) unstable; urgency=medium

  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.
  * watch: Use API instead of releases page.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:29:15 +0200
