=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 12), dh-exec, dh-python,
+ debhelper-compat (= 12), dh-exec, dh-sequence-python3,
  automake, libtool,
  python3:any, python3-xdg,
  flite1-dev (>= 1.4), flite,
