## speech-dispatcher-contrib 0.12.0~rc2

=== debian/changelog ===
speech-dispatcher-contrib (0.12.0~rc2-3build1) noble; urgency=medium

  * No-change rebuild against libttspico0t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:06:50 +0100

speech-dispatcher-contrib (0.12.0~rc2-3) experimental; urgency=medium

  * rules: Drop dh_missing for the contrib package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Mar 2024 16:51:28 +0100

speech-dispatcher-contrib (0.12.0~rc2-2) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - Build-Depends on libsystemd-dev
    - update to compat 13 which default to dh_missing --fail-missing
  * debian/rules, debian/speech-dispatcher.install:
    - include the usr/lib/systemd/user directory which has the new
      socket activation entry (Closes: #1065081)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Mar 2024 02:23:49 +0100

speech-dispatcher-contrib (0.12.0~rc2-1) experimental; urgency=medium

  * New upstream RC release
    - patches/static: Upstreamed.
    - libspeechd2.symbols: Update.
    - speech-dispatcher.install: add sd_openjtalk.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Feb 2024 20:26:39 +0100

speech-dispatcher-contrib (0.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC release
    - patches/static: Drop spurious symbol.
    - libspeechd2.symbols: Update.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Oct 2023 01:10:48 +0200
