=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 12), dh-exec,
- automake, libtool, gawk,
+ debhelper-compat (= 13), dh-exec, dh-sequence-python3,
+ automake, libtool,
+ python3:any, python3-xdg,
  flite1-dev (>= 1.4), flite,
  libespeak-dev, libespeak-ng-dev,
  libdumbtts-dev,
@@ -21,11 +22,10 @@
  libglib2.0-dev (>= 2.36),
  libltdl-dev,
  pkgconf,
+ systemd [linux-any],
  systemd-dev [linux-any],
- gettext, texinfo,
-# help2man <!cross>
-Build-Depends-Indep:
- python3:any, python3-xdg, dh-sequence-python3, python3-setuptools,
+ libsystemd-dev [linux-any],
+ gettext, texinfo, help2man
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
@@ -143,7 +143,7 @@
  which needs to be installed separately.
 
 Package: speech-dispatcher-voxin
-Architecture: arm64 armhf amd64 i386
+Architecture: amd64 i386
 Multi-Arch: foreign
 Section: contrib/sound
 Depends:
