=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/pkg-info.mk
+
+export deb_systemdsystemunitdir = $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
+export deb_systemduserunitdir = $(shell pkgconf --variable=systemduserunitdir systemd | sed s,^/,,)
 
 # NAS is in universe in Ubuntu
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
@@ -16,10 +19,14 @@
 ifeq ($(DEB_SOURCE),speech-dispatcher)
 # disable non-free syntheses
 CONFIGURE=--with-baratinoo=no --with-ibmtts=no --with-voxin=no --with-kali=no --with-ivona=no
+else
+# ignore non-installed files
+override_dh_missing:
+	:
 endif
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_configure:
 	for i in espeak-ng-mbrola-generic.conf \
