## speech-dispatcher-contrib 0.12.0~rc3

=== debian/changelog ===
speech-dispatcher-contrib (0.12.0~rc3-1) experimental; urgency=medium

  * New upstream RC release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Apr 2024 01:10:54 +0200
