## speech-dispatcher-contrib 0.12.0

=== debian/changelog ===
speech-dispatcher-contrib (0.12.0-1ubuntu1) plucky; urgency=medium

  * autopkgtest: Manually handle systemd user session (LP: #2104259).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Apr 2025 15:53:13 +0200

speech-dispatcher-contrib (0.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#1097914)
    - patches/mbrola-paths: Refresh.
  * control: Make speech-dispatcher-openjtalk depend on open-jtalk and
    recommend the only known dictionary and voice.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jan 2025 01:09:38 +0100

speech-dispatcher-contrib (0.12.0~rc4-2) experimental; urgency=medium

  * control: Add libspeechd-module0 and speech-dispatcher-openjtalk packages.
  * speech-dispatcher.install: Move libspeechd-module to...
  * libspeechd-module0.install: ... new package.
  * speech-dispatcher-openjtalk.install: Move sd_openjtalk to...
  * speech-dispatcher-openjtalk.install: ... new package.
  * control: Build-dep on libpipewire-0.3-dev only on linux for now.
  * rules: Run dh_makeshlibs on libspeechd-module0 instead of speech-dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 22:39:39 +0100

speech-dispatcher-contrib (0.12.0~rc4-1) experimental; urgency=medium

  * New upstream RC release
    - control: Add libpipewire-0.3-dev build-dep.
    - patches/mbrola-paths: Refresh.
    - patches/crash-no-client-hang: Upstreamed.
    - patches/cancel-crash: Upstreamed.
    - speech-dispatcher.install: Install libspeechd_module.
    - rules: Run dh_makeshlibs on speech-dispatcher.
    * control, rules: Make speech-dispatcher-contrib build-depends on
      speech-dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 01:13:55 +0100

speech-dispatcher-contrib (0.12.0~rc3-2) experimental; urgency=medium

  * crash-no-client-hang: Fix brltty hanging on spd crash.
  * cancel-crash: Fix crash on cancellation.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Jun 2024 18:57:55 +0200
