=== debian/control ===
--- 
+++ 
@@ -1,31 +1,35 @@
 Source: speech-dispatcher-contrib
 Section: contrib/sound
 Priority: optional
-Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 13), dh-exec, dh-sequence-python3,
- automake, libtool,
- python3:any, python3-xdg,
+ debhelper-compat (= 13), dh-exec,
+ automake, libtool, gawk,
  flite1-dev (>= 1.4), flite,
  libespeak-dev, libespeak-ng-dev,
  libdumbtts-dev,
  libttspico-dev,
+ speech-dispatcher (>= 0.12.0~rc4~),
  libao-dev,
  libasound2-dev [linux-any],
  libaudio-dev,
  libpulse-dev,
+ libpipewire-0.3-dev [linux-any],
  libxau-dev,
  libsndfile1-dev,
  libdotconf-dev (>= 1.3),
  libglib2.0-dev (>= 2.36),
  libltdl-dev,
  pkgconf,
- systemd [linux-any],
  systemd-dev [linux-any],
  libsystemd-dev [linux-any],
- gettext, texinfo, help2man
+ gettext, texinfo,
+# help2man <!cross>
+Build-Depends-Indep:
+ python3:any, python3-xdg, dh-sequence-python3, python3-setuptools,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
@@ -143,7 +147,7 @@
  which needs to be installed separately.
 
 Package: speech-dispatcher-voxin
-Architecture: amd64 i386
+Architecture: arm64 armhf amd64 i386
 Multi-Arch: foreign
 Section: contrib/sound
 Depends:
@@ -238,6 +242,29 @@
 # .
 # This package contains Speech Dispatcher itself.
 #
+#Package: libspeechd-module0
+#Architecture: any
+#Multi-Arch: same
+#Section: libs
+#Depends:
+# ${misc:Depends},
+# ${shlibs:Depends},
+#Pre-Depends:
+# ${misc:Pre-Depends}
+#Description: Speech Dispatcher: Shared libraries for modules
+# Speech Dispatcher provides a device independent layer for speech synthesis.
+# It supports various software and hardware speech synthesizers as
+# backends and provides a generic layer for synthesizing speech and
+# playing back PCM data via those different backends to applications.
+# .
+# Various high level concepts like enqueueing vs. interrupting speech and
+# application specific user configurations are implemented in a device
+# independent way, therefore freeing the application programmer from
+# having to yet again reinvent the wheel.
+# .
+# This package contains a shared library that speech-dispatcher modules can use
+# for the ground support.
+#
 #Package: libspeechd2
 #Architecture: any
 #Multi-Arch: same
@@ -289,32 +316,3 @@
 #Section: lisp
 #Depends:
 # cl-regex,
-# ${misc:Depends}
-#Description: Common Lisp interface to Speech Dispatcher
-# Speech Dispatcher provides a device independent layer for speech synthesis.
-# It supports various software and hardware speech synthesizers as
-# backends and provides a generic layer for synthesizing speech and
-# playing back PCM data via those different backends to applications.
-# .
-# Various high level concepts like enqueueing vs. interrupting speech and
-# application specific user configurations are implemented in a device
-# independent way, therefore freeing the application programmer from
-# having to yet again reinvent the wheel.
-# .
-# This package contains a Common Lisp library for communication with Speech
-# Dispatcher.
-#
-#Package: python3-speechd
-#Architecture: all
-#Multi-Arch: foreign
-#Section: python
-#Breaks:
-# python-speechd
-#Replaces:
-# python-speechd
-#Depends:
-# python3-xdg,
-# ${misc:Depends},
-# ${python3:Depends}
-#Description: Python interface to Speech Dispatcher
-# Speech Dispatcher provides a device independent layer for speech synthesis.
