## speech-dispatcher-contrib 0.12.1

=== debian/changelog ===
speech-dispatcher-contrib (0.12.1-2) unstable; urgency=medium

  * Upload to unstable.
    - patches/git-punctuation: Upstreamed.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Aug 2025 22:40:04 +0200

speech-dispatcher-contrib (0.12.1-1) experimental; urgency=medium

  * New upstream release.
    - patches/mbrola-paths: Refresh.
    - patches/output-stuck: Upstreamed.
    - patches/git-generic-empty: Upstreamd.
  * rules: Ignore blhc failure when linking modules.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 May 2025 22:43:04 +0200

speech-dispatcher-contrib (0.12.0-5) unstable; urgency=medium

  * rules: Be more precise in blhc ignore.
  * patches/git-punctuation: Fix punctuation levels.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 01:34:43 +0200

speech-dispatcher-contrib (0.12.0-4) unstable; urgency=medium

  * patches/git-generic-empty: Fix hang on empty uterances.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 May 2025 21:23:58 +0200

speech-dispatcher-contrib (0.12.0-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Explicitly disable the pico module.
  * patches/output-stuck: Fix speechd getting stuck on some reply/event
    dispatch situations (Closes: Bug#1101805)

  [ Alessandro Astone]
  * tests: Require isolation-container.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Apr 2025 16:27:20 +0200

speech-dispatcher-contrib (0.12.0-2) unstable; urgency=medium

  * Re-integrate 0.11.5-5.1 changes (Closes: Bug#1084827)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2025 21:32:18 +0100

speech-dispatcher-contrib (0.11.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship alias for speech-dispatcherd.service as static symlink in the package
    instead of creating it on enable only (Closes: #1084827)
  * Do not attempt a start of speech-dispatcherd.service after a fresh
    install, as the service is disabled by default.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Oct 2024 17:07:25 +0200
