=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: speech-dispatcher-contrib
 Section: contrib/sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
+Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
@@ -35,7 +34,7 @@
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
 XS-Autobuild: yes
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 
 #start-contrib
 Package: speech-dispatcher-pico
@@ -316,3 +315,5 @@
 #Section: lisp
 #Depends:
 # cl-regex,
+# ${misc:Depends}
+#Description: Common Lisp interface to Speech Dispatcher
