=== debian/watch ===
version=3
opts=searchmode=plain,uversionmangle=s/-(rc|beta)/~$1/ \
https://api.github.com/repos/brailcom/speechd/releases \
https://github.com/brailcom/speechd/releases/download/\d[\.\d]*(?:-(?:rc|beta)[\d]*)?/speech-dispatcher(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
